Subject: [bug#55227] [PATCH core-updates 0/8] The Full Source Bootstrap

From: Jan Nieuwenhuizen <[email-masked]>
Date: Fri, 13 May 2022 10:09:37 +0200

Ludovic Courtès writes:

Hi,

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:
>
>> * gnu/packages/commencement.scm (tcc-boot0)[source]: Update to
>> 0.9.26-1136-g0fbeb2dd.
>>
>> -  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 11
>> +  ;; Pristine tcc cannot be built by MesCC, we are keeping a delta of 30
>
> Slowly increasing.  :-)

Yeah...

>>      (source (bootstrap-origin
>>               (origin
>>                 (method url-fetch)
>>                 (uri (string-append
>> -                     "https://lilypond.org/janneke/mes/20191117/"
>> +                     "https://lilypond.org/janneke/tcc/"
>>                       "/tcc-" version ".tar.gz"))
>>                 (sha256
>>                  (base32
>> -                 "1qbybw7mxbgkv3sazvz1v7c8byq998vk8f1h25ik8w3d2l63lxng")))))
>> +                 "1y2f04qwdqg7dgxiscbf0ibybx2gclniwbbcsxpayazzii2cvji3")))))
>
> Eventually we should have that on ftp.gnu.org too, but I realize we
> might be better off addressing it afterwards since we’ll have to agree
> on the whole file tree we’re going to upload there.

Okay.  I've kept the mirror:// put in place in the previous patch, it
now looks like

              (uri (list
                    (string-append "mirror://gnu/guix/mirror/"
                                   "tcc-" version ".tar.gz")
                    (string-append "https://lilypond.org/janneke/tcc/"
                                   "tcc-" version ".tar.gz")))

Yeah, we may want to change them all to something like

      "mirror://gnu/guix/mirror/20220512/"

?  The bootstrap-seeds may last a while, but stage0-posix and tcc will
see more updates.

After pushing all changes to wip-full-source-bootstrap I'm going to
update test a new build, so we have some time to decide on this :-)

Janneke

-- 
Jan Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://lilypond.org
Freelance IT https://JoyOfSource.com | Avatar® https://AvatarAcademy.com